import { EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { TableService } from './table.service';
export declare class TableDirective implements OnDestroy, OnInit {
    private tableService;
    uiChecked: EventEmitter<any[]>;
    private sub;
    constructor(tableService: TableService);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
